package w83b.w83bOperacionesPaso.w83bBandejaEntrada;

import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83b.w83bBeans.W83bPreavisosBean;
import w83b.w83bUtilidades.W83bUtilidadesComunes;
import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bBusqBandejaEntrOutOPAction extends Q70ActionPasoOP{

	
	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		//Guardamos la accion en el contexto
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		W83bPreavisosBean bean = (W83bPreavisosBean)contexto.get("w83bPreavisosBean");
		int num_paginas = ((ArrayList)contexto.get("w83bListaPreavisos")).size()/Integer.parseInt(bean.getTotal());
		
		
		if(((ArrayList)contexto.get("w83bListaPreavisos")).size()%Integer.parseInt(bean.getTotal())>0){
			num_paginas++;
		}
		bean.setRows(String.valueOf(num_paginas));
		
		
		List listaVariables = new ArrayList();
		
		listaVariables.add("codpreaviso");
		listaVariables.add("fecha_entrada");
		listaVariables.add("fecha_inicio");
		listaVariables.add("razonSocialPreaviso");
		listaVariables.add("cifpreaviso");
		listaVariables.add("descprovincia");
		listaVariables.add("descmunicipio");
		listaVariables.add("estado");
		
		String varClave = "codpreaviso";
		
		
		String jJson = W83bUtilidadesComunes.procesarTablaConId((ArrayList)contexto.get("w83bListaPreavisos"),listaVariables,varClave,W83bPreavisosBean.class, bean);
		
		response.setContentType("text/javascript;charset=iso-8859-1");
		response.setHeader("Pragma", "cache");
		response.setHeader("Expires", "0");
		response.setHeader("Cache-Control", "private");
		response.setStatus(HttpServletResponse.SC_OK);
		PrintWriter out = response.getWriter();
		out.print(jJson);
		out.flush();
		
		return null;
	}
	


}
